---
hide:
- navigation
---

# Examples

## Simple

/// details | `simple` Python module
    type: example

```python
--8<-- "examples/simple.py"
```
///

::: simple
    options:
        heading_level: 3

## Enhanced

> WARNING: **Non-standard features**
The "enhanced" features are not part of `annotated-doc` or PEP 727.
They just serve as an example to show what would be possible
if the package or PEP were enhanced to account for more use-cases.

/// details | `enhanced` Python module
    type: example

```python
--8<-- "examples/enhanced.py"
```
///

::: enhanced
    options:
        heading_level: 3
